windows7+vs2015 +gtx 1080ti环境下安装yolo v2

 

1.下载必要材料

1)vs2015,官网自己下载安装,

2)opencv,2.4.13或者3.x,我用的opencv3.2,官网自己下。vs2015配置opencv的过程网上一大堆。

3)yolo v2 可以去GitHub下载,https://github.com/AlexeyAB/darknet (更新到v3了,用都是一样的)不行的话,也可以到我的资源去下载,http://download.csdn.net/download/fuck_you_sb/10013712

解压完是一个文件夹darknet-master。

 

4)cuda 版本要>=7.5 ,我的显卡是gtx1080ti,就用了cuda8.0,这个也是去英伟达官网下载,然后安装。

5)pthread库,yolo v2依赖的一个库,好像是线程技术方面的。可以到我的资源去下载:http://download.csdn.net/download/fuck_you_sb/10046737

解压完是三个文件夹,

 

6)cudnn,如果你的GPU CC>=2.0,可以选择装cudnn,加速GPU计算。为配合cuda8.0,我用的是cudnn6.0。英伟达官网可下,也可以到我的资源去下载,

http://download.csdn.net/download/fuck_you_sb/10046671

查看自己的GPU CC,可以在这个网址查询https://en.wikipedia.org/wiki/CUDA#GPUs_supported

解压完是分别将bin,include,以及lib\x64下的文件复制到cuda的安装目录对应的bin,include,lib\x64中。

 

2.配置和编译

1)双击\darknet-master\build\darknet\darknet.sln,打开工程

2)设置解决方案配置为 release x64,不然编译会出错。

 

3)打开项目-属性页-配置属性-VC++目录-包含目录,添加pthread和cuda目录

 


然后是VC++目录-库目录,添加pthread和cuda目录

接着,在C/C++-预处理器-预处理器定义中添加下图中的所有,不用cudnn加速的CUDNN不用加。

 

 

4)C\C++-警告等级改为等级3,将警告视为错误改为否。不然编译会报错。

5)编译,生成解决方案,编译通过的话在darknet\x64下面会生成darknet.exe

6)测试

下载yolo-voc.weights,需要4GB GPU-RAM http://pjreddie.com/media/files/yolo-voc.weights

下载完后和darknet.exe放在同一个目录下面;

然后双击darknet_voc.cmd,

 

会显示网络加载完毕,权重加载完毕,然后输入图片路径,

 

这样就表示成功了。

如果显卡显存不够,也可以用tiny-yolo.weights,需要1GB GPU-RAM http://pjreddie.com/media/files/tiny-yolo.weights

然后右击darknet_voc.cmd用文本文本框打开,修改yolo-voc.cfg为tiny-yolo.cfg,yolo-voc.weights为tiny-yolo.weights,保存后再双击打开。

 

运行遇到的问题:

1.GPU版本无法加载项目,找不到对应cuda文件

找到.vcxproj文件,用记事本打开,将里边所有的“”CUDA x.x“”改为自己cuda的版本,即可。

2.error MSB4062:未能从程序集C:\Progarm File(x86)MSBulid\Microsoft.Cpp\v4.0\V120\Build...未能加载文件或程序集...系统找不到指定文件...后面就不写了

win 10系统缺少Microsoft的.NET FrameWork3.5,找小娜安装一下,重启电脑就ok了

展开阅读全文

没有更多推荐了,返回首页